-- report tablespace utilisation for automatic storage tablespaces:
select dbpartitionnum, substr(tbsp_name,1,18) as tbsp_name, tbsp_id, tbsp_type, substr(tbsp_state,1,20) tbsp_state, tbsp_page_top, tbsp_used_pages, tbsp_pending_free_pages
from   table (mon_get_tablespace('',-2)) as zzz
where  tbsp_content_type in ('ANY','LARGE')
and	   tbsp_using_auto_storage = 1
and    tbsp_auto_resize_enabled = 1
-- and    tbsp_state = 'NORMAL'
and    reclaimable_space_enabled = 1	
and    tbsp_type = 'DMS'
order by 1,2
;
